Loading...
Searching...
No Matches
string_matcher.hpp File Reference
`#include <algorithm>`
`#include <cstring>`
`#include <iosfwd>`
`#include <regex>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include <boost/variant.hpp>`
Include dependency graph for string_matcher.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::StringMatcher
class | osmium::StringMatcher::matcher
class | osmium::StringMatcher::always_false
class | osmium::StringMatcher::always_true
class | osmium::StringMatcher::equal
class | osmium::StringMatcher::prefix
class | osmium::StringMatcher::substring
class | osmium::StringMatcher::regex
class | osmium::StringMatcher::list
class | osmium::StringMatcher::match_visitor
class | osmium::StringMatcher::print_visitor< TChar, TTraits >

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.

## Functions

template<typename TChar, typename TTraits>
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const StringMatcher &matcher)